#!/usr/bin/env python
# -*- coding: utf-8 -*-
import sys
try:
	import pygtk
	pygtk.require("2.0")
except:
	pass
try:
	import gtk
	import gtk.glade
	import pango
	import gobject
except:
	sys.exit(1)

import os.path

class startup:
	def __init__(self):
		self.gladefile = "startup.glade"
		self.wTree = gtk.glade.XML(self.gladefile) 
		self.window = self.wTree.get_widget("MainWindow")
		if (self.window):
			self.window.connect("destroy", gtk.main_quit)
		dic = { "on_button1_clicked" : self.btnNumberOne_clicked,
			"on_button2_clicked" : self.btnNumberTwo_clicked,
			"on_button3_clicked" : self.btnNumberThree_clicked,
			"on_window1_destroy" : self.btnNumberThree_clicked }
		self.wTree.signal_autoconnect(dic)
	def btnNumberOne_clicked (self, widget):
		ent1 = self.wTree.get_widget("entry1")
		ent2 = self.wTree.get_widget("entry2")
		ent1.set_text("")
		ent2.set_text("")
	def btnNumberTwo_clicked (self, widget):
		from os import system
		from os import popen
		from os.path import isfile
		from os.path import isdir
		ent1 = self.wTree.get_widget("entry1")
		ent2 = self.wTree.get_widget("entry2")
		name = ent1.get_text()
		command = ent2.get_text()
		if name == "":
			system ('zenity --error --title "No name specified!" --text "Please specify name" &')
			error = "yes"
		else:
			error = "no"
			
		if command == "":
			system ('zenity --error --title "No command specified!" --text "Please specify command" &')
			error = "yes"
		else:
			if error != "yes":
				error = "no"
				
		if error == "no":
			homedir = popen('echo $HOME')
			homedir = " ".join(homedir)
			homedir = homedir.strip()
			adir=homedir+'/.config/autostart/'
			if isdir(adir):
				print ''
			else:
				system('mkdir '+adir)
			plk=adir+name+'.desktop'
			if isfile(plk):
				plkn = system('zenity --question --title "Already exists" --text "This file already exists. Override?"')
			else:
				plkn = 0
			
			if plkn == 0:
				f=open(plk, 'w')
				f.write('[Desktop Entry]\nName='+name+'\nExec='+command+'\n')
				f.close
				done = system('zenity --question --title "Done!" --text "Program added. Would you like to add Next?"')
				if done == 0:
					ent1 = self.wTree.get_widget("entry1")
					ent2 = self.wTree.get_widget("entry2")
					ent1.set_text("")
					ent2.set_text("")
				else:
					sys.exit()

	def btnNumberThree_clicked (self, widget):
		sys.exit()
if __name__ == "__main__" :
	hwg = startup()
	gtk.main()